use sea_orm::EntityTrait;
use serde::{Deserialize, Serialize};

pub trait BaseEntity: EntityTrait {
    type CreateDto: for<'de> Deserialize<'de> + Send + Sync;
    type UpdateDto: for<'de> Deserialize<'de> + Send + Sync;
    type ResponseDto: Serialize + Send + Sync;
}
