use axum::{Server, Router};
use sea_orm::Database;

#[tokio::main]
async fn main() {
    let db = Database::connect("postgres://user:pass@localhost/dbname").await.unwrap();

    let app = Router::new()
        .nest("/user", UserController::new(UserService).routes())
        .with_state(db);

    Server::bind(&"0.0.0.0:3000".parse().unwrap())
        .serve(app.into_make_service())
        .await
        .unwrap();
}
